#!/usr/bin/ruby

# 로깅

require 'logger'


## 로거 인스턴스 만들기

logger = Logger.new('my.log')
logger = Logger.new('my.log', 3, 10485760) # 각 10메가바이트 크기로 3개의 파일만
logger = Logger.new('my.log', 'daily') # daily | weekly | monthly

logger = Logger.new($stdout)

## 로깅

logger.add(Logger::DEBUG, 'Maximal debugging info') # add 메서드로 로깅을 합니다.
logger.add(Logger::INFO, 'Non-error information')
logger.add(Logger::WARN, 'Non-error warning')
logger.add(Logger::ERROR, 'Non-fatal error')
logger.add(Logger::FATAL, 'Fatal error')
logger.add(Logger::UNKNOWN, 'Most severe')


logger.debug('Maximal debugging info') # 좀 더 짧게 사용할 수 있습니다.
logger.info('Non-error information')
logger.warn('Non-error warning')
logger.error('Non-fatal error')
logger.fatal('Fatal error')
logger.unknown('Most severe')


## 닫기

logger.close # 사용이 끝나면 닫아줍니다.






END{
  # https://ruby-doc.org/3.3.0/stdlibs/logger/Logger.html
}
